# Packmangroup: Multimedia
# Packmanpackagename: dvdwizard
# Packman: Manfred Tremmel
# Packmandepends: dvdauthor toolame mjpegtools transcode
# Packmanpackagedesc: <p>dvdwizard is a wrapper-script which incorporates a fully automated creation of a DVD-structure with Chapters and menus from one or more mpeg-streams.</p>
# Packmanpackagedesc_de: <p>dvdwizard ist ein Wrapper-Skript welches ein vollautomatisches Erstellen einer Video-DVD-Struktur mit Kapiteln und Men&uuml;s auf Basis eins oder mehrerer MPEG-Streams erm&ouml;glicht.</p>

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           dvdwizard
Version:        0.7.1
Release:        3.1
License:        GPL-3.0
Summary:        Automated creation of DVD structure
Url:            http://dvdwizard.wershofen.net
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  ImageMagick >= 6.3.6
BuildRequires:  dvdauthor
BuildRequires:  mjpegtools >= 1.8
BuildRequires:  makeinfo
PreReq:         %install_info_prereq
Requires:       ImageMagick >= 6.3.6
Requires:       dvdauthor
Requires:       mjpegtools >= 1.8
Requires:       transcode
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
DVDwizard is a collection of scripts for fully automated creation of a DVD
structure including a title menu, chapter menus optional audio selection menu
and subtitle seclection menu from one or more DVD compatible MPEG streams.
You may burn the generated DVD structure to a DVD, e.g. using growisofs, and
play this DVD on a stand alone DVD player.

DVDwizard is distributed under GPL 3.

%prep
%setup -q

%build
make %{?_smp_mflags} \
DOCS="AUTHORS CHANGELOG CONTRIB COPYING README TODO TOOLS dvdwizard.conf.sample DVDwizard.html"

%install
make install \
    DOCS="AUTHORS CHANGELOG CONTRIB COPYING README TODO TOOLS dvdwizard.conf.sample DVDwizard.html" \
    prefix=/usr \
    docdir=%{_docdir} \
    DESTDIR=%{buildroot}

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/DVDwizard.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/DVDwizard.info %{_infodir}/dir || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Clapperboard.svg
%{_docdir}/%{name}
%{_infodir}/DVDwizard.info.gz
%{_mandir}/man1/dvdwizard.1.gz
%{_mandir}/man1/mk_vmgm.1.gz
%{_mandir}/man1/mk_vtsm.1.gz
%{_mandir}/man5/dvdwizard.conf.5.gz
%dir %{_datadir}/dvdwizard/locale
%dir %{_datadir}/dvdwizard/locale/de
%dir %{_datadir}/dvdwizard/locale/de/LC_MESSAGES

%changelog
* Fri Mar 22 2013 fisiu@opensuse.org
- Fix build for openSUSE 12.3 and newer due to latex packages split.
- Spec cleanup.
* Sun Apr 15 2012 Manfred.Tremmel@iiv.de
- update to 0.7.1
* Sat Aug  6 2011 Manfred.Tremmel@iiv.de
- update to 0.7.0
* Mon Apr 25 2011 Manfred.Tremmel@iiv.de
- update to 0.6.4
* Tue Oct  5 2010 Manfred.Tremmel@iiv.de
- update to 0.6.3
* Sat Jan  2 2010 lnussel@suse.de
- no longer require twolame
* Sat Dec 12 2009 Manfred.Tremmel@iiv.de
- update to 0.6.2
* Wed Nov 18 2009 Manfred.Tremmel@iiv.de
- update to 0.6.1
* Sun Sep 13 2009 Manfred.Tremmel@iiv.de
- update to 0.6.0
* Mon Sep  7 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Wed Apr  8 2009 Manfred.Tremmel@iiv.de
- update to 0.5.7
- homepage back to http://dvdwizard.wershofen.net, has included
  the changes from joonet
* Mon Feb 23 2009 Manfred.Tremmel@iiv.de
- update to 0.5.6
* Mon Feb  9 2009 Manfred.Tremmel@iiv.de
- update to 0.5.5
* Sat Feb  7 2009 Manfred.Tremmel@iiv.de
- switched to unofficial version from http://www.joonet.de/dvdwizard
* Tue Jan 27 2009 Manfred.Tremmel@iiv.de
- included a patch to fix the capturing problems with transcode 1.1.0
* Tue Jan  6 2009 Manfred.Tremmel@iiv.de
- included a patch to fix some of the problems with ImageMagic >= 6.4
* Mon May 28 2007 Manfred.Tremmel@iiv.de
- update to 0.5.1 (final version)
* Sun Jan 14 2007 Manfred.Tremmel@iiv.de
- update to developer snapshot from 2007-01-13 including
  the twolame change
* Sat Jan  6 2007 Manfred.Tremmel@iiv.de
- the new twolame version needs -r option to work,
  added to the patch
* Tue Nov  7 2006 Manfred.Tremmel@iiv.de
- update to developer snapshot, using twolame to solve
  problems with toolame on x86_64 architecture
* Fri Sep  1 2006 Manfred.Tremmel@iiv.de
- update to 0.5 (final version)
* Fri Aug 11 2006 Manfred.Tremmel@iiv.de
- update to 0.5 (preview version)
* Wed Jan 11 2006 Manfred.Tremmel@iiv.de
- added a patch for SUSE 10.0 to solve mpeg detection problem
* Mon Jan  9 2006 Manfred.Tremmel@iiv.de
- update to 0.4.2c
* Wed Jan  4 2006 Manfred.Tremmel@iiv.de
- fixed the path fixing patch
* Tue Jan  3 2006 Manfred.Tremmel@iiv.de
- update to 0.4.2b
* Thu Dec 29 2005 Manfred.Tremmel@iiv.de
- some updates for mjpegtools 1.8 (thanks to Stefan Seyfried) and
  to fix some default pathes
* Sun Jun 26 2005 Manfred.Tremmel@iiv.de
- initial spec file for Packman, based on the specfile from Guillaume Rousse
